> ## Documentation Index
> Fetch the complete documentation index at: https://docs.legend.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Activity

> Get details for a specific activity

# Get Activity

Returns detailed information about a specific activity. See [Activities & Events](/concepts/activities-events)
for the full activity definition.

## Request

```
GET /accounts/:account_id/activities/:activity_id
```

### Path parameters

| Parameter     | Type    | Description        |
| ------------- | ------- | ------------------ |
| `account_id`  | string  | The sub-account ID |
| `activity_id` | integer | The activity ID    |

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl https://prime-api.legend.xyz/accounts/acc_2o0yiljtp378/activities/1 \
    -H "Authorization: Bearer $LEGEND_QUERY_KEY"
  ```

  ```typescript TypeScript theme={null}
  const activity = await client.accounts.activity("acc_2o0yiljtp378", 1);
  ```

  ```python Python theme={null}
  activity = await client.accounts.activity("acc_2o0yiljtp378", 1)
  ```

  ```rust Rust theme={null}
  let activity = client.accounts.activity("acc_2o0yiljtp378", 1).await?;
  ```
</CodeGroup>

```json Response theme={null}
{
  "id": 1,
  "status": "completed",
  "quark_intent": {
    "id": 7,
    "mercator_version": "1.2.0",
    "intent_type": "supply",
    "intent": {
      "amount": "1000000",
      "token": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
      "comet": "0xb125E6687d4313864e53df431d5425969c15Eb2F",
      "chain_id": 8453
    }
  },
  "executions": [
    {
      "execution_type": "transaction",
      "chain_id": 8453,
      "transaction_hash": "0xabc123...def456",
      "status": "executed",
      "executed_at": "2025-06-15T10:30:15Z",
      "reverted_at": null,
      "actions": [
        {
          "action_type": "COMET_SUPPLY",
          "expected_values": {
            "amount": 1000000,
            "asset_symbol": "USDC",
            "chain_id": 8453,
            "comet": "0xb125E6687d4313864e53df431d5425969c15Eb2F",
            "price": "0.9998",
            "token": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"
          },
          "observed_values": {
            "amount": 1000000,
            "asset_symbol": "USDC",
            "chain_id": 8453,
            "comet": "0xb125E6687d4313864e53df431d5425969c15Eb2F",
            "price": "0.9998",
            "token": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"
          }
        }
      ]
    }
  ]
}
```

## Errors

| Status | Code        | Description                                              |
| ------ | ----------- | -------------------------------------------------------- |
| 404    | `not_found` | Activity doesn't exist or belongs to a different account |
